> ## Documentation Index
> Fetch the complete documentation index at: https://docs.partnero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List coupons

> Retrieve a list of all coupons

## Endpoint

```
GET https://api.partnero.com/v1/coupons
```

## Query Parameters

| Parameter | Type    | Default | Description                        |
| --------- | ------- | ------- | ---------------------------------- |
| `limit`   | integer | 15      | Number of results per page (1-250) |
| `page`    | integer | 1       | Page number for pagination         |

## Request

```bash cURL theme={null}
curl --location 'https://api.partnero.com/v1/coupons' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer YOUR_API_KEY'
```

## Response

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": [
      {
        "name": "PARTNERO25",
        "uuid_code": "coupon_123",
        "active": true,
        "coupon_discount_type": "percent",
        "coupon_discount_amount": 25,
        "coupon_duration_type": "months",
        "coupon_duration_value": 11,
        "redemption_specific_date_status": false,
        "redemption_specific_date_value": null,
        "redemption_times_status": true,
        "redemption_times_value": 24,
        "promotion_codes": {
          "data": []
        },
        "metadata": [],
        "created_at": "2025-05-07T17:43:26.000000Z",
        "updated_at": "2025-05-07T17:43:26.000000Z",
        "deleted_at": null
      }
    ],
    "links": {
      "first": "https://api.partnero.com/v1/coupons?page=1",
      "last": null,
      "prev": null,
      "next": null
    },
    "meta": {
      "current_page": 1,
      "from": 1,
      "path": "https://api.partnero.com/v1/coupons",
      "per_page": 10,
      "to": 1
    },
    "status": 1
  }
  ```
</ResponseExample>

### Response Fields

| Field                           | Type    | Description                                            |
| ------------------------------- | ------- | ------------------------------------------------------ |
| `data[].name`                   | string  | Customer-facing coupon name                            |
| `data[].uuid_code`              | string  | Unique coupon identifier                               |
| `data[].active`                 | boolean | Whether coupon is active                               |
| `data[].coupon_discount_type`   | string  | `percent` or `static`                                  |
| `data[].coupon_discount_amount` | number  | Discount amount or percentage                          |
| `data[].coupon_duration_type`   | string  | `once`, `hours`, `days`, `months`, `years`, `lifetime` |
| `data[].coupon_duration_value`  | integer | Duration value                                         |
| `data[].promotion_codes`        | object  | Associated promotion codes                             |
| `data[].metadata`               | object  | Custom key-value pairs                                 |
